﻿#language: ru

@drivers_of_electric_car

Функционал: 04_drivers.01.006 Заполнение справочника Типы тары

Сценарий: 04_drivers.01.006 Создание тары Рама
	Дано Я подключаюсь под "Администратор"
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Типы тары'
	Тогда открылось окно 'Типы тары'
	И я нажимаю на кнопку 'Создать'
	Тогда открылось окно 'Тип тары (создание)'
	И в поле 'Наименование' я ввожу текст 'Рама'
	Когда я запоминаю значение выражения 'ОбщегоНазначенияКлиентСервер.РазложитьПолноеИмяФайла(Ванесса.ПолучитьСостояниеVanessaAutomation().ТекущаяФича.ПолныйПуть).Путь + "\"' в переменную "КаталогТеста"
	Когда я буду выбирать внешний файл "$КаталогТеста$""Паллета.jpg"
	Когда я нажимаю на гиперссылку с именем "ПолеКартинкиПрисоединенногоФайла1"
	Тогда открылось окно '1С:Предприятие'
	Когда я нажимаю на кнопку 'OK'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду открытия окна 'Типы тары' в течение 20 секунд
	И Я закрываю окно 'Типы тары'

Сценарий: 04_drivers.01.006 Заполнение веса контейнера
	И В командном интерфейсе я выбираю 'Производство' 'Контейнеры'
	Тогда открылось окно 'Контейнеры'
	И я нажимаю на кнопку 'Создать'
	Затем я жду, что в сообщениях пользователю будет подстрока "не заполнено" в течение 10 секунд
	И Я закрываю окно 'Контейнеры'
	И В командном интерфейсе я выбираю 'Нормативно-справочная информация' 'Типы тары'
	Тогда открылось окно 'Типы тары'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'Контейнер'    |
	И в таблице "Список" я выбираю текущую строку
	Тогда открылось окно 'Контейнер (Тип тары)'
	И в поле с именем 'Вес' я ввожу текст '0,100'
	И я нажимаю на кнопку 'Записать и закрыть'
	И я жду закрытия окна 'Контейнер (Тип тары)' в течение 20 секунд
	Тогда открылось окно 'Типы тары'
	И Я закрываю окно 'Типы тары'
	И Я закрыл все окна клиентского приложения